View Issue Details

IDProjectCategoryView StatusLast Update
0004187DraftBugpublic2019-11-12 23:04
Reporternormen Assigned Tocarlopav  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target VersionFixed in Version0.19 
Summary0004187: Dwire editing breaks when Esc-ing out of edit session
DescriptionSystem: MacOS 10.14.6
Versions: 0.18.3 and 0.19-pre (18589)

When canceling a Dwire editing session with the Esc key or the "close" button Dwire editing breaks completely until FreeCAD is restarted.
Steps To Reproduce- Create new FreeCAD document
- Create open Dwire with a few points
- Finish editing Dwire
- Double-click Dwire to edit again
- Click on one point to move it (don't place it)
- Press Esc to cancel edit
- Double-click Dwire again to try editing again
-> Dwires cannot be edited anymore until FreeCAD is restarted
Additional InformationThe reportView of 0.19-pre shows many "<class 'IndexError'>" messages when the mouse moves over the main view after this happens.
TagsNo tags attached.
FreeCAD InformationOS: macOS Mojave (10.14)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18589 (Git)
Build type: Release
Branch: master
Hash: 3500451a040989d00693eab85b2a7c13ce4dad67
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)

Activities

carlopav

2019-11-06 13:08

developer   ~0013799

Thanks @normen for opening the ticket, I can reproduce it, I'll fix as soon as i can.

carlopav

2019-11-06 20:06

developer   ~0013800

Last edited: 2019-11-06 20:08

View 2 revisions

Fixed with PR 2697

normen

2019-11-06 20:18

reporter   ~0013801

Wow that was fast :) Thanks, really exciting to see FreeCAD grow, great work.

openBrain

2019-11-07 18:22

developer   ~0013803

@normen : thanks for good report. However please notice that our guidelines (big yellow banner) ask to first open a forum topic co community can confirm and identify bug. ;) Just think about it for next reporting. :)

normen

2019-11-07 20:40

reporter   ~0013804

Yeah, sorry, I'm a developer myself and I know how standard procedure makes things easier. However as this bug was easy to reproduce in a new document and it existed across multiple versions I just decided that it's real ;)

Kunda1

2019-11-12 22:42

administrator   ~0013822

@carlopav FYI, see the difference between remotely referencing a mantis ticket from github and remotely closing a mantis ticket from Github:
https://freecadweb.org/wiki/tracker#GitHub_and_MantisBT
In this scenario you only referenced it. Should we close this ticket manually ?

carlopav

2019-11-12 23:04

developer   ~0013823

Thanks @kunda, next time I'll do it right. I think we can close the ticket manually. :)

Related Changesets

FreeCAD: master c9522a6e

2019-11-06 20:03:38

carlopav


Committer: yorik Details Diff
[Draft] Edit: fix bug 0004187

Fix bug 0004187. When canceling a Dwire editing session with the Esc key or the "close" button Dwire editing breaks.
Affected Issues
0004187
mod - src/Mod/Draft/DraftEdit.py Diff File

Issue History

Date Modified Username Field Change
2019-11-06 11:35 normen New Issue
2019-11-06 13:07 carlopav Assigned To => carlopav
2019-11-06 13:07 carlopav Status new => assigned
2019-11-06 13:08 carlopav Note Added: 0013799
2019-11-06 20:06 carlopav Note Added: 0013800
2019-11-06 20:08 carlopav Note Edited: 0013800 View Revisions
2019-11-06 20:18 normen Note Added: 0013801
2019-11-07 18:22 openBrain Note Added: 0013803
2019-11-07 20:40 normen Note Added: 0013804
2019-11-11 20:59 yorik Changeset attached => FreeCAD master c9522a6e
2019-11-12 22:42 Kunda1 Note Added: 0013822
2019-11-12 23:04 carlopav Note Added: 0013823
2019-11-12 23:04 carlopav Status assigned => closed
2019-11-12 23:04 carlopav Resolution open => fixed
2019-11-12 23:04 carlopav Fixed in Version => 0.19